Class SynsetTests

In: | tests/synset.tests.rb
Parent: | WordNet::TestCase

Methods

setup test_00_constructor test_10_accessors test_20_relations test_30_aggregateRelations test_40_traversal_method test_41_traversal_break_includeOrigin test_42_traversal_break_excludeOrigin test_43_traversal_includeOrigin_noblock_nobreak test_44_traversal_excludeOrigin_noblock_nobreak test_45_traversal_break_after_3 test_50_part_of_speech test_51_pos

Public Instance methods

setup()

Make sure the Lexicon’s loaded

test_00_constructor()

Class + constructor

test_10_accessors()

Accessors

test_20_relations()

Relations

test_30_aggregateRelations()

Aggregate relation methods

test_40_traversal_method()

Traversal method

test_41_traversal_break_includeOrigin()

Traversal: include origin, break loop

test_42_traversal_break_excludeOrigin()

Traversal: exclude origin, break loop

test_43_traversal_includeOrigin_noblock_nobreak()

Traversal: include origin, nobreak, noblock

test_44_traversal_excludeOrigin_noblock_nobreak()

Traversal: include origin, nobreak, noblock

test_45_traversal_break_after_3()

Traversal: include origin, nobreak, noblock

test_50_part_of_speech()

Part of speech: partOfSpeech

test_51_pos()

Part of speech: pos